# coding=utf-8

'''Configuration for waf using aster-full prerequisites'''

import os
import os.path as osp
import sys

def configure(self):
    opts = self.options
    if ''.strip():
        self.env.append_value('OPT_ENV', ''.splitlines())

    self.env['FC'] = '/usr/bin/gfortran'
    self.env['CC'] = '/usr/bin/gcc'
    # mfront path
    self.env.TFELHOME = '/usr/local/share/code_aster/public/tfel-3.2.1'
    # to check med libs
    self.env['CXX'] = '/usr/bin/g++'

    # sometimes required
    self.env.append_unique('LINKFLAGS', ['-Wl,--allow-multiple-definition'])

    self.env.append_value('LIBPATH', [
        '/usr/local/share/code_aster/public/hdf5-1.10.3/lib',
        '/usr/local/share/code_aster/public/med-4.0.0/lib',
        '/usr/local/share/code_aster/public/mumps-5.1.2/lib',
        '/usr/local/share/code_aster/public/metis-5.1.0/lib',
        '/usr/local/share/code_aster/public/tfel-3.2.1/lib',
        '/usr/local/share/code_aster/public/scotch-6.0.4/lib',
        # autotools uses lib64 on some platforms
        '/usr/local/share/code_aster/public/hdf5-1.10.3/lib64',
        '/usr/local/share/code_aster/public/med-4.0.0/lib64',
    ])

    self.env.append_value('INCLUDES', [
        '/usr/local/share/code_aster/public/hdf5-1.10.3/include',
        '/usr/local/share/code_aster/public/med-4.0.0/include',
        '/usr/local/share/code_aster/public/mumps-5.1.2/include',
        '/usr/local/share/code_aster/public/mumps-5.1.2/include_seq',
        '/usr/local/share/code_aster/public/metis-5.1.0/include',
        '/usr/local/share/code_aster/public/scotch-6.0.4/include',
        '/usr/local/share/code_aster/public/tfel-3.2.1/include',
    ])

    self.env['OPTLIB_FLAGS'] = '-L/usr/lib/x86_64-linux-gnu -llapack -L/usr/lib/x86_64-linux-gnu -lblas'.split()         + '-L/usr/lib/x86_64-linux-gnu -lpthread -L/usr/lib/x86_64-linux-gnu -lz'.split()
    opts.maths_libs = ''

    opts.enable_petsc = False

    # add paths for external programs
    os.environ['HOMARD_ASTER_ROOT_DIR'] = '/usr/local/share/code_aster/public/homard-11.12'

